Summary: Metapackage for GNOME desktop environment
Name: task-gnome
Version: 3.16.0
Release: 4
Epoch: 1
Group: Graphical desktop/GNOME
License: GPLv2+
BuildArch: noarch

Requires: %{name}-minimal

Obsoletes: gnome-utils

# resolve http://bugs.rosalinux.ru/show_bug.cgi?id=3031
Requires: gstreamer1.0-plugins-ugly
Requires: gstreamer1.0-libav

Requires: rosa-gsettings-desktop-schemas
Requires: rosa-gsettings-desktop-schemas-desktop
Requires: rosa-gsettings-desktop-schemas-theme
Requires: aisleriot
Requires: audacious
Requires: bijiben >= %{version}
Requires: cheese >= %{version}
Requires: empathy
Requires: eog >= %{version}
Requires: evince >= %{version}
Requires: file-roller >= %{version}
Requires: five-or-more
Requires: folks >= 0.9.1
Requires: four-in-a-row
Requires: gdm >= 3.12.2-4
Requires: gedit >= %{version}
Requires: geoclue2
Requires: gnome-bluetooth >= %{version}
Requires: gnome-calculator
Requires: gnome-chess
Requires: gnome-classic-session
Requires: gnome-clocks
Requires: gnome-color-manager
Requires: gnome-contacts >= %{version}
Requires: gnome-desktop3 >= %{version}
Requires: gnome-disk-utility
Requires: gnome-documents
Requires: gnome-font-viewer
Requires: gnome-klotski
Requires: gnome-mahjongg
Requires: gnome-mines
Requires: gnome-nibbles
Requires: gnome-online-accounts >= %{version}
Requires: gnome-robots
Requires: gnome-shell-extensions-desktop-shortcuts
Requires: gnome-shell-extensions-screenpen
Requires: gnome-shell-extensions-win-key-for-help
Requires: gnome-shell-rosa-hotkeys
Requires: gnome-sound-recorder
Requires: gnome-sudoku
Requires: gnome-tetravex
Requires: iagno
Requires: libgnome2
Requires: libsocialweb
Requires: libwnck3
Requires: lightsoff
Requires: polari
Requires: quadrapassel
Requires: rosa-elementary-theme
Requires: screenpen
Requires: sushi
Requires: swell-foop
Requires: tali
Requires: telepathy-mission-control
Requires: totem
Requires: typelib(Eog)
Requires: typelib(GnomeDesktop)
Requires: typelib(Meta)

Suggests: brasero
Suggests: caribou
Suggests: caribou-gtk3
Suggests: ekiga
Suggests: evolution
Suggests: evolution-ews
Suggests: gucharmap
Suggests: mousetweaks
Suggests: orca
#Suggests: scrot-gnome
Suggests: shotwell
Suggests: simple-scan
Suggests: vinagre
Suggests: vino

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running the GNOME.

%package minimal
Summary: Minimal dependencies needed for GNOME desktop 
Group: Graphical desktop/GNOME

Requires(post): gnome-session

Requires: accountsservice
Requires: adwaita-cursor-theme
Requires: adwaita-gtk2-theme
Requires: adwaita-gtk3-theme
Requires: at-spi2-atk >= 2.8.0
Requires: baobab
Requires: fontconfig >= 2.0.91
Requires: gcr >= 3.15
Requires: clipit
Requires: gdk-pixbuf2.0 >= 2.28.0
Requires: glib2.0-common >= 2.36
Requires: gnome-backgrounds
Requires: gnome-control-center
Requires: gnome-icon-theme
Requires: gnome-icon-theme-legacy
Requires: gnome-icon-theme-symbolic
Requires: gnome-keyring >= %{version}
Requires: gnome-power-manager
Requires: gnome-screensaver
Requires: gnome-screenshot
Requires: gnome-search-tool
Requires: gnome-settings-daemon
Requires: gnome-system-log
Requires: gnome-system-monitor
Requires: gnome-terminal
Requires: gnome-themes-standard
Requires: gnome-tweak-tool
Requires: gobject-introspection >= 1.36
Requires: gtk+3.0-common >= %{version}
Requires: gtk3-modules
Requires: libgnome2
Requires: libgnomekbd-common
Requires: libnotify
Requires: locales >= 2.15-2
Requires: nautilus >= %{version}
Requires: networkmanager-applet >= 0.9.8.0
Requires: notification-daemon
Requires: polkit-gnome
Requires: rosa-icons
Requires: task-pulseaudio
Requires: typelib(Atspi)
Requires: typelib(Peas)
Requires: typelib(PeasGtk)
Requires: typelib(CoglPango)
Requires: typelib(Wnck) >= 3.0
Requires: udisks2 >= 2.1.0
Requires: yelp >= %{version}
Requires: gnome-shell-rosa-extensions
Requires: gnome-shell-extensions-user-theme

Requires: %{_lib}webkit-gir3.0
Requires: %{_lib}pangoft2-gir1.0
Requires: %{_lib}pangocairo-gir1.0
Requires: %{_lib}mutter-gir3.0 >= %{version}
Requires: %{_lib}cogl-pango-gir1.0
Requires: %{_lib}cogl-gir1.0

Suggests: deja-dup
Suggests: fprintd-pam >= 0.5.0
Suggests: gparted
Suggests: libfprint >= 0.5.0
Suggests: preload
Suggests: totem

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal GNOME desktop environment.


%post minimal

# regen cache for gnome icons
gtk-update-icon-cache -f /usr/share/icons/gnome/

# update session files
if [ -f /usr/bin/kdm ]; then
    /usr/sbin/chksession -k
fi

/usr/sbin/chksession -g

%post
# regen cache for gnome icons
gtk-update-icon-cache -f /usr/share/icons/gnome/

# enable some user extensions. Ugly hack
cp -r /etc/skel/.local/share/gnome-shell/extensions/* /usr/share/gnome-shell/extensions/

%files

%files minimal


%changelog

* Tue Feb 16 2016 Tigro <ashejn@gmail.com> 1:3.16.0-4
- (d13275b) change gnome-music to audacious

* Wed May 13 2015 Tigro <ashejn@yandex-team.ru> 1:3.16.0-3
- (b446183) set porper version for gdm

* Wed Apr 22 2015 Tigro <ashejn@gmail.com> 1:3.16.0-2
- (14f60ca) bump release

* Wed Apr 22 2015 Tigro <ashejn@gmail.com> 1:3.16.0-1
- (da57d46) fix depends
- (Tigro: 4755c03) adopt to GNOME 3.16

* Fri Mar 06 2015 Tigro <ashejn@yandex-team.ru> 1:3.12.0-6
- (7d62f82) update session files

* Fri Mar 06 2015 Tigro <ashejn@yandex-team.ru> 1:3.12.0-5
- (c9715bd) update icon cache in minimal package too
- (Tigro: 5d0ae4c) update icon cache and enable some user extensions
- (Tigro: 737588a) just bump release

* Fri Mar 06 2015 Tigro <ashejn@yandex-team.ru> 1:3.12.0-4
- (97b46c3) Revert "bump version and release"
- (97b46c3) This reverts commit 650cefcff02da40e8815fd61a686a052f66f3739.

* Fri Mar 06 2015 Tigro <ashejn@yandex-team.ru> 1:3.12.2-1
- (650cefc) bump version and release

* Fri Mar 06 2015 Tigro <ashejn@yandex-team.ru> 1:3.12.0-4
- (79b346f) light theme for terminal
- (Tigro: 743d8be) enable desktop in nautilus
- (Tigro: d776d87) large icons in nautilus
- (Tigro: 0332168) update enabled-extensions list and set three button in shell decoration
- (Tigro: ecf2e94) set rosa-elementary for desktop.wm
- (Tigro: b712136) update font hinting and set three button in decoration
- (Tigro: 4bb0660) update requires
- (Tigro: c62edac) drop gnome-initial-setup
- (Tigro: 2d11109) set rosa-elemetary by default
- (Tigro: 5215cbb) set new background
- (Tigro: 23bf2f4) added some typelib

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1:3.12.0-3
- (6aea731) MassBuild#440: Increase release tag

* Tue Jun 24 2014 Tigro <ashejn@gmail.com> 1:3.12.0-2
- (f65a884) drop S: firefox

* Tue Jun 17 2014 Tigro <ashejn@gmail.com> 1:3.12.0-1
- (b371b57) update for GNOME 3.12

* Fri Nov 15 2013 Tigro <ashejn@gmail.com> 1:3.8.0-6
- (2ec7a47) added some gstreamer plugins for requires

* Mon Nov 04 2013 Tigro <ashejn@gmail.com> 1:3.8.0-5
- (70d3a61) added R: gnome-getting-started*
- (Tigro: bdc280a) added R: gnome-initial-setup
- (Tigro: 8014e13) fix typo

* Sun Nov 03 2013 Tigro <ashejn@gmail.com> 1:3.8.0-4
- (44ac0fe) add S: scrot-gnome


